<div  class="container-m--x bredcrumb admin-bg" style="margin-top:-11.9px;">
  <div  class="row px-4 f-16 white">
      <div  class="col-md-4">
          <span (click)="goToDefaultPage()" class="cursor"><i  class="las la-home f-18 "></i></span>
          <span  class="px-3"><i  class="las la-angle-right f-12 "></i></span>
          <span class="font-weight-normal">User Profile</span></div></div></div>

<!-- <div class="card mb-4">
<div class="row">
    <div class="col-lg-8 col-md-8 col-sm-8 col-xs-12">
    <div class="media-body ml-5">
        <h4 class="font-weight-bold mb-4 mt-4 text-primary">{{first_name}}</h4>
  
        <div class="text-muted mb-4 d-inline-block text-primary">
          User ID :
        </div>

        <div class="text-muted mb-4 d-inline-block">
          <span>{{uid}}</span>
        </div>
        
        <div class="text-muted mb-4">
          <button class="btn btn-outline-primary btn-material" style="line-height: 2.4 !important;" (click)="changePassword()">Change Password</button>
          <button class="btn btn-outline-primary btn-material" style="line-height: 2.4 !important;" (click)="enableEdit()">Edit Info</button>
          <button class="btn btn-default" style="line-height: 2.4 !important;" (click)="goBack()">Cancel</button>
        </div>
  
      </div>
   </div>

</div>
  </div>

<div class="row" *ngIf="isEdit">
  <div class="col">
    <div class="card mb-4">
      <div class="card-body">

        <div class="row form-group">
          <label class="form-label">First Name</label>
          <input name="first_name" [(ngModel)]="first_name" type="text" class="form-control user-input-material" placeholder="First Name">
        </div>
        <div class="row form-group">
          <label class="form-label">Last Name</label>
          <input name="first_name" [(ngModel)]="last_name" type="text" class="form-control user-input-material" placeholder="Last Name">
        </div>
        <div class="row form-group">
          <button class="btn btn-outline-primary" (click)="editProfile()" [disabled]="first_name==''||last_name==''">Update</button>
        </div>


      </div>

    </div>

  </div>
</div>
<div class="row" *ngIf="isChangeImage">
  <div class="col">
    <div class="card mb-4">
      <div class="card-body">
        <div class="mb-4">
          <label class="btn btn-primary btn-lg">
            Upload image
            <input type="file" (change)="fileChangeListener($event)" class="sr-only">
          </label>
        </div>
        <div class="d-flex">
          <img-cropper #cropper [image]="data" [settings]="cropperSettings"></img-cropper>
          <div *ngIf="data.image" class="ml-3">
            <img [src]="data.image" [width]="cropperSettings.croppedWidth" [height]="cropperSettings.croppedHeight">
          </div>
        </div>
      </div>

    </div>

  </div>
</div> -->

<!-- for web -->
<div *ngIf="!deviceService.isMobile()" class="mx-auto" style="max-width: 1000px;">
<div class="media align-items-center  media-top" *ngIf="userDetails && !isEdit" >
  <img [src]="'assets/img/avatars/' + avatar" alt="" class="d-block ui-w-100 rounded-circle p-0 user-img-border">
  <div class="media-body ml-4">
    <h4 class="fw-500 WSF text-gray55 f-22 mb-0">{{userDetails.firstname}} {{userDetails.lastname}}<span
        class="text-muted font-weight-normal"></span></h4>
    <div class="f-16 font-weight-normal text-gray55 mb-2" *ngIf="userDetails.admin">Administrator</div>
    <!-- <a href="javascript:void(0)" class="btn btn-primary btn-sm" (click)="isEdit = true;">Edit</a>&nbsp; -->
    <!-- <a href="javascript:void(0)" class="btn btn-primary btn-sm"
      (click)="openModal(editProfileModal, { windowClass: 'modal-fill-in modal-md animate' })">Edit</a>&nbsp; -->

  </div>
</div>

<div class="card mb-4 border-radius-10 card-shadow user-card-border" *ngIf="!isEdit && userDetails">
  <div class="card-body">
     <div class="d-flex">
      <div class="f-16 fw-500 WSF text-gray55">User Information</div>
      <div class="ml-auto" *ngIf="datamanager.showRestoreLink">    
        <button *ngIf="userDetails.admin" class="btn btn-primary borderless mr-2" (click)="loginService.Backup()"><i class="las la-cloud-upload-alt f-20 pr-1 v-text-top"></i>Save Instance Snapshot</button>
       <!-- <button class="btn btn-primary borderless" (click)="loginService.Restore()"><i class="las la-sync f-18 pr-1 v-text-top"></i>Reset Instance</button> -->
      </div>
     </div>
    <table class="table user-view-table m-0">
      <tbody>
        <!-- <tr class="user-profile-tr" *ngIf="userDetails.admin">
          <td>Administrator:</td>
          <td>
            <span *ngIf="userDetails.admin"><span class="ion ion-md-checkmark text-primary"></span>&nbsp; Yes</span>
            <span *ngIf="!userDetails.admin"><span class="ion ion-md-close text-light"></span>&nbsp; No</span>
          </td>
        </tr> -->
        <tr class="user-profile-tr">
          <td class="user-left-info">Role</td>
          <td>
            <span class="user-right-info mr-1" *ngFor="let roles of userDetails.role">{{roles.role}}</span>
          </td>
        </tr>
        <tr class="user-profile-tr" *ngIf="userDetails.sm">
          <td>Store Manager:</td>
          <td>
            <span *ngIf="userDetails.sm"><span class="ion ion-md-checkmark text-primary"></span>&nbsp; Yes</span>
            <span *ngIf="!userDetails.sm"><span class="ion ion-md-close text-light"></span>&nbsp; No</span>
          </td>
        </tr>
        <tr class="user-profile-tr" *ngIf="userDetails.sm && userDetails.storelist.length>0">
          <td>Stores:</td>
          <td>
            <span class="mr-2" *ngFor="let stores of userDetails.storelist">{{stores.store_name}}</span>
          </td>
        </tr>
        <tr class="user-profile-tr">
          <td class="user-left-info">Status</td>
          <td>
            <div class="user-status-active d-flex" *ngIf="userDetails.activestat === 'Active'" style="align-items: end;">
             <i class="las la-check-circle pr-1 f-22"></i><div class="WSF">Active</div>
              </div>
            <div class="user-status-inactive d-flex" *ngIf="!userDetails.activestat == 'Active'" style="align-items: end;">
              <i class="las la-check-circle pr-1 f-22"></i><div class="WSF">Non-Active</div></div>
          </td>
        </tr>
        <tr class="user-profile-tr">
          <td class="user-left-info" style="vertical-align: baseline;">Subscription</td>
          <td class="d-flex">
            <div class="pr-3">
              <div *ngIf="userDetails.email_subscription"><div class="subscription-yes"><i class="las la-envelope"></i></div></div>
           <div *ngIf="!userDetails.email_subscription"><div class="subscription-no"><i class="las la-envelope"></i></div></div>
           </div>
            <div >
              <div *ngIf="userDetails.mobile_subscription"><div class="subscription-yes"><i class="las la-mobile"></i></div></div>
            <div *ngIf="!userDetails.mobile_subscription">
              <div class="subscription-no"><i class="las la-mobile"></i></div></div>
            </div>
           
          
          </td>
        </tr>
        <tr class="user-profile-tr" *ngIf="userDetails.cmpadmin">
          <td>Store:</td>
          <td>
            <span *ngIf="userDetails.cmpadmin"><span class="ion ion-md-checkmark text-primary"></span>&nbsp; Yes</span>
            <span *ngIf="!userDetails.cmpadmin"><span class="ion ion-md-close text-light"></span>&nbsp; No</span>
          </td>
        </tr>
        <!-- <tr class="user-profile-tr">
          <td>Mobile Subscription:</td>
          <td>
            <span *ngIf="userDetails.mobile_subscription"><span class="ion ion-md-checkmark text-primary"></span>&nbsp;
              Yes</span>
            <span *ngIf="!userDetails.mobile_subscription"><span class="ion ion-md-close text-danger"></span>&nbsp;
              No</span>
          </td>
        </tr> -->
        <!-- <tr class="user-profile-tr">
          <td>Email Subscription:</td>
          <td>
            <span *ngIf="userDetails.email_subscription"><span class="ion ion-md-checkmark text-primary"></span>&nbsp;
              Yes</span>
            <span *ngIf="!userDetails.email_subscription"><span class="ion ion-md-close text-danger"></span>&nbsp;
              No</span>
          </td>
        </tr> -->
      </tbody>
    </table>
    <hr class="border-light">
    <h6 class="mb-3 f-16 fw-500 WSF text-gray55">User Information</h6>
    <table class="table user-view-table m-0">
      <tbody>
        <!-- <tr class="user-profile-tr">
          <td>Username:</td>
          <td>{{userDetails.email}}</td>
        </tr> -->
        <tr class="user-profile-tr">
          <td class="user-left-info">Full Name</td>
          <td >
          <div class="d-flex">
            <div class="user-right-info">{{userDetails.firstname}} {{userDetails.lastname}} </div>
            <i class="las la-edit pl-2 f-22  userprofile-edit-icon" style="vertical-align: inherit;"  (click)="openModal(editProfileModal, { windowClass: 'modal-fill-in modal-md animate' })"></i>
         
          </div>
          </td>
        </tr>
        <tr class="user-profile-tr">
          <td class="user-left-info">E-mail</td>
          <td >
            <span class="user-right-info">{{userDetails.email}} </span>
          <!-- <i class="las la-edit pl-2 f-22 text-gray55" style="vertical-align: inherit;"></i> -->
        </td>
        </tr>
        <tr class="user-profile-tr">
          <td class="user-left-info">Password</td>
          <td>
   <div class="d-flex"> 
    <div class="user-right-info" style="vertical-align: -webkit-baseline-middle;">**********</div>
    <div class="user-change-password pl-3"  (click)="openDialog(editPasswordModal, { windowClass: 'modal-fill-in modal-md animate' })">Change Password</div>
   </div>
          </td>
        </tr>
<!-- 
        <tr class="user-profile-tr" *ngIf="userDetails.mobile">
          <td class="user-left-info">Phone:</td>
          <td>{{userDetails.mobile}}</td>
        </tr> -->
      </tbody>
    </table>

  </div>
</div>

<ng-template #editProfileModal let-c="close" let-d="dismiss">
  <div class="modal-header">
    <h5 class="modal-title">
      Edit User Information
    </h5>
    <button type="button" class="close" (click)="d('Cross click');">&times;</button>
  </div>
  <div class="modal-body">
    <form [formGroup]="editUserProfile" (ngSubmit)="editUserProfileFn(editUserProfile.value)">
      <div class="form-row">
        <div class="form-group col-md-12">
          <label class="form-label">First Name</label>
          <span class="ml-2  " placement="top"
              ngbTooltip="Enter your First Name">
              <i class="ion ion-ios-information-circle-outline ion-theme"></i>
            </span>
          <input [formControl]="editUserProfile.controls['firstname']" formControlName ="firstname" [(ngModel)]="userDetails.firstname" type="text" 
            class="form-control" [ngClass]="{'is-invalid':!editUserProfile.controls['firstname'].valid && editUserProfile.controls['firstname'].touched}">
            <div *ngIf="editUserProfile.controls['firstname'].hasError('required') && editUserProfile.controls['firstname'].touched" class="invalid-feedback">You must include a first name.</div>
        </div>
        <div class="form-group col-md-12">
          <label class="form-label">Last Name</label>
          <span class="ml-2  " placement="top"
              ngbTooltip="Enter your Last Name">
              <i class="ion ion-ios-information-circle-outline ion-theme"></i>
            </span>
          <input [formControl]="editUserProfile.controls['lastname']" formControlName="lastname" [(ngModel)]="userDetails.lastname" type="text"
            class="form-control" [ngClass]="{'is-invalid':!editUserProfile.controls['lastname'].valid && editUserProfile.controls['lastname'].touched}">
            <div *ngIf="editUserProfile.controls['lastname'].hasError('required') && editUserProfile.controls['lastname'].touched" class="invalid-feedback">You must include a first name.</div>

        </div>
        <!-- <div class="form-group col-md-12">
          <label class="form-label">Mobile No</label>
          <span class="ml-2  " placement="top"
              ngbTooltip="Enter your Mobile Number">
              <i class="ion ion-ios-information-circle-outline ion-theme"></i>
            </span>
          <input [formControl]="editUserProfile.controls['mobile']" formControlName="mobile" type="text" [(ngModel)]="userDetails.mobile"
            class="form-control" [ngClass]="{'is-invalid':!editUserProfile.controls['mobile'].valid && editUserProfile.controls['mobile'].touched}">
            <div *ngIf="editUserProfile.controls['mobile'].hasError('required') && editUserProfile.controls['mobile'].touched" class="invalid-feedback">You must include a mobile No</div>

        </div> -->

        <hr class="border-light">
        <div class="form-group col-md-12">
          <label class="custom-control custom-checkbox m-0">
            <input [formControl]="editUserProfile.controls['mobile_subscription']" type="checkbox" class="custom-control-input" [(ngModel)]="userDetails.mobile_subscription">
            <span class="custom-control-label">Mobile Subscription</span>
            <span class="ml-2  " placement="top"
              ngbTooltip="To select Mobile Subscription">
              <i class="ion ion-ios-information-circle-outline ion-theme"></i>
            </span>
          </label>
          
        </div>
        <div class="form-group col-md-12">
          <label class="custom-control custom-checkbox m-0">
            <input [formControl]="editUserProfile.controls['email_subscription']" type="checkbox" class="custom-control-input" [(ngModel)]="userDetails.email_subscription">
            <span class="custom-control-label">Email Subscription</span>
            <span class="ml-2  " placement="top"
              ngbTooltip="To select Email Subscription">
              <i class="ion ion-ios-information-circle-outline ion-theme"></i>
            </span>
          </label>
          
        </div>
      </div>
    </form>

  </div>
  <div class="modal-footer">
    <button class="btn btn-default borderless" (click)="c('Cross click')">Cancel</button>
    <button class="btn btn-primary borderless" (click)="editProfile();" [disabled]="!editUserProfile.valid">Save
      changes</button>
  </div>
</ng-template>
<ng-template #editPasswordModal let-c="close" let-d="dismiss">
  <div class="modal-header">
    <h5 class="modal-title">
      Change Password
    </h5>
    <button type="button" class="close" (click)="d('Cross click');">&times;</button>
  </div>
  <div class="modal-body">

  
          <form [formGroup]="changePasswordFB" (ngSubmit)="fnchangePasswordFB(changePasswordFB.value)">
              <div >
                  <!--     <div class="form-group">
                  <label class="form-label">Current password</label>
                  <input type="password" class="form-control user-input-material" [(ngModel)]="changePasswordRequest.old_password">
              </div>
  
              <div class="form-group">
                  <label class="form-label">New password</label>
                  <input type="password" class="form-control user-input-material" [(ngModel)]="changePasswordRequest.new_password">
              </div>
  
              <div class="form-group">
                  <label class="form-label">Repeat new password</label>
                  <input type="password" class="form-control user-input-material" [(ngModel)]="confirmPassword">
              </div>
              <div class="form-group">
                  <label class="text-big text-danger">{{errorMessage}}</label>
              </div>
              <div class="form-group">
                  Note: Password must contain at least 8 character long, with a minimum of one lower case letter, one upper case letter, one numeric character and one special character from !@#$%^&*()_
              </div>-->
                  <div class="form-row">
                      <div class="form-group col-md-12">
                          <label class="form-label default-color">Old Password</label>
                          <input [formControl]="changePasswordFB.controls['old_password']"
                              [(ngModel)]="changePasswordRequest.old_password" name="old_password" type="password"
                              class="form-control" placeholder="Old Password"
                              [ngClass]="{'is-invalid':!changePasswordFB.controls['old_password'].valid && changePasswordFB.controls['old_password'].touched}">
                          <!-- <input [formControl]="changePasswordFB.controls['first_name']" name="firstname" type="text" class="form-control"> -->
                          <div *ngIf="changePasswordFB.controls['old_password'].hasError('required') && changePasswordFB.controls['old_password'].touched"
                              class="invalid-feedback">You must enter old password.</div>
  
                      </div>
                  </div>
  
                  <div class="form-row">
                      <div class="form-group col-md-12">
                          <label class="form-label default-color">New Password</label>
                          <input [formControl]="changePasswordFB.controls['new_password']"
                              [(ngModel)]="changePasswordRequest.new_password" name="password" type="password"
                              class="form-control" placeholder="New Password"
                              [ngClass]="{'is-invalid':!changePasswordFB.controls['new_password'].valid && changePasswordFB.controls['new_password'].touched}">
                          <div *ngIf="changePasswordFB.controls['new_password'].hasError('required') && changePasswordFB.controls['new_password'].touched"
                              class="invalid-feedback">You must enter password.</div>
                          <div *ngIf="changePasswordFB.controls['new_password'].hasError('minlength') && changePasswordFB.controls['new_password'].touched"
                              class="invalid-feedback">The password shoud be min 8 letters.</div>
                          <div *ngIf="changePasswordFB.controls['new_password'].hasError('pattern') && changePasswordFB.controls['new_password'].touched"
                              class="invalid-feedback">Password does not meet the security policy specified - Minimum 8 Characters - at-least one upper case , one lower case, one numeric character and one special character from !@#$%^&*()_</div>
                      </div>
                  </div>
                  <div class="form-row">
                      <div class="form-group col-md-12">
                          <label class="form-label default-color">Confirm Password</label>
                          <input [formControl]="changePasswordFB.controls['confirm_password']"
                              [(ngModel)]="changePasswordRequest.confirm_password" name="password" type="password" class="form-control"
                              placeholder="Confirm Password"
                              >
                          <div *ngIf="changePasswordFB.controls['confirm_password'].hasError('required') && changePasswordFB.controls['confirm_password'].touched"
                              class="invalid-feedback">You must give confirm password.</div>
                      </div>
                      <div class="small pb-2 px-1">Note: Password must contain at least 8 character long, with a
                          minimum of one lower case letter, one upper case letter, one numeric character and one special
                          character from !@#$%^&*()_</div>
                  </div>
                  <ngb-alert [type]="alertType" (click)="isAlert=false" *ngIf="isAlert">{{alertMessage}}</ngb-alert>
              </div>
              <div class="modal-footer row app-filter-btn px-2 pb-0">
                  <button class="btn btn-default borderless"  (click)="d('Cross click');">Cancel</button>
                  <button [ladda]="isloading" data-style="expand-left" type="submit" class="btn btn-primary borderless"
                      [disabled]="!changePasswordFB.valid">Update</button>
              </div>
  
          </form>
    
 

  </div>
  <!-- <div class="modal-footer">
    <button class="btn btn-default borderless"  (click)="d('Cross click');">Cancel</button>
    <button class="btn btn-primary borderless" [ladda]="isloading" (click)="changePasswordFB()" [disabled]="!changePasswordFB.valid">Update</button>
  </div> -->
</ng-template>
</div>
<!-- for web -->



<!-- for mob -->
<div *ngIf="deviceService.isMobile()">
<div class="align-items-center py-3 w-100 text-center" *ngIf="userDetails && !isEdit">

    <div class="user-avather-mob"><img [src]="'assets/img/avatars/' + avatar" alt="" class="ui-w-60"></div>

    <div class="mt-3">
      <h3 class="font-weight-bold">{{userDetails.firstname}} {{userDetails.lastname}}
        <span class="text-muted font-weight-normal"></span></h3>
      <!-- <div class="text-muted mb-2" *ngIf="userDetails.admin">Administrator</div> -->
  
      <a href="javascript:void(0)" class="btn btn-primary btn-md"
        (click)="openModal(editProfileModal, { windowClass: 'modal-fill-in custom-modal-mob modal-md animate' })">Edit</a>&nbsp;
  
    </div>
    <hr>
  </div>
  
  <div class="mb-4" *ngIf="!isEdit && userDetails">
    <div style="font-size: 1.2em;">
        <h5 class="mb-3 font-weight-bold header-text-mob">User Information</h5>
      <table class="table user-view-table m-0">
        <tbody>
         
          <tr class="user-profile-tr">
            <td>Role:</td>
            <td class="text-right">
              <span class="mr-1" *ngFor="let roles of userDetails.role">{{roles.role}}</span>
            </td>
          </tr>
          <tr class="user-profile-tr" *ngIf="userDetails.sm">
            <td>Store Manager:</td>
            <td class="text-right">
              <span *ngIf="userDetails.sm"><span class="ion ion-md-checkmark text-primary"></span>&nbsp; Yes</span>
              <span *ngIf="!userDetails.sm"><span class="ion ion-md-close text-light"></span>&nbsp; No</span>
            </td>
          </tr>
          <tr class="user-profile-tr" *ngIf="userDetails.sm && userDetails.store.length>0">
            <td>Stores:</td>
            <td class="text-right">
              <span *ngFor="let stores of userDetails.store">{{stores.store}}</span>
            </td>
          </tr>
          <tr class="user-profile-tr">
            <td>Status:</td>
            <td class="text-right">
              <span *ngIf="userDetails.activestat === 'Active'">Active</span>
              <span *ngIf="!userDetails.activestat == 'Active'">Non-Active</span>
            </td>
          </tr>
          <tr class="user-profile-tr" *ngIf="userDetails.cmpadmin">
            <td>Store:</td>
            <td>
              <span *ngIf="userDetails.cmpadmin"><span class="ion ion-md-checkmark text-primary"></span>&nbsp; Yes</span>
              <span *ngIf="!userDetails.cmpadmin"><span class="ion ion-md-close text-light"></span>&nbsp; No</span>
            </td>
          </tr>
          <tr class="user-profile-tr">
            <td>Mobile Subscription:</td>
            <td class="text-right">
              <span *ngIf="userDetails.mobile_subscription"><span class="ion ion-md-checkmark text-primary"></span>&nbsp;
                Yes</span>
              <span *ngIf="!userDetails.mobile_subscription"><span class="ion ion-md-close text-danger"></span>&nbsp;
                No</span>
            </td>
          </tr>
          <tr class="user-profile-tr">
            <td>Email Subscription:</td>
            <td class="text-right">
              <span *ngIf="userDetails.email_subscription"><span class="ion ion-md-checkmark text-primary"></span>&nbsp;
                Yes</span>
              <span *ngIf="!userDetails.email_subscription"><span class="ion ion-md-close text-danger"></span>&nbsp;
                No</span>
            </td>
          </tr>
        </tbody>
      </table>
      <hr class="border-light">
      <h5 class="mb-3 font-weight-bold header-text-mob">Personal Information</h5>
      <table class="table user-view-table m-0">
        <tbody>
         
          <tr class="user-profile-tr">
            <td>Full Name:</td>
            <td class="text-right">{{userDetails.firstname}} {{userDetails.lastname}}</td>
          </tr>
          <tr class="user-profile-tr">
            <td>E-mail:</td>
            <td class="text-right">{{userDetails.email}}</td>
          </tr>
  
          <tr class="user-profile-tr" *ngIf="userDetails.mobile">
            <td>Phone:</td>
            <td class="text-right">{{userDetails.mobile}}</td>
          </tr>
        </tbody>
      </table>
  
    </div>
  </div>
  

  
  <ng-template #editProfileModal let-c="close" let-d="dismiss">
<div class="modal-header">
      <h5 class="modal-title">
        Edit Profile Information
      </h5>
      <button type="button" class="close" (click)="d('Cross click');">&times;</button>
    </div>
    <div class="modal-body">
      <form [formGroup]="editUserProfile" (ngSubmit)="editUserProfileFn(editUserProfile.value)">
        <div class="form-row">
          <div class="form-group col-md-12 f-group-mob">
            <label class="form-label">First Name</label>
            <button class="ml-2  " placement="top"
                ngbTooltip="Enter your First Name">
                <i class="ion ion-ios-information-circle-outline ion-theme"></i>
              </button>
            <input [formControl]="editUserProfile.controls['firstname']" formControlName ="firstname" [(ngModel)]="userDetails.firstname" type="text" 
              class="form-control" [ngClass]="{'is-invalid':!editUserProfile.controls['firstname'].valid && editUserProfile.controls['firstname'].touched}">
              <div *ngIf="editUserProfile.controls['firstname'].hasError('required') && editUserProfile.controls['firstname'].touched" class="invalid-feedback">You must include a first name.</div>
          </div>
          <div class="form-group col-md-12 f-group-mob">
            <label class="form-label">Last Name</label>
            <button class="ml-2  " placement="top"
                ngbTooltip="Enter your Last Name">
                <i class="ion ion-ios-information-circle-outline ion-theme"></i>
              </button>
            <input [formControl]="editUserProfile.controls['lastname']" formControlName="lastname" [(ngModel)]="userDetails.lastname" type="text"
              class="form-control" [ngClass]="{'is-invalid':!editUserProfile.controls['lastname'].valid && editUserProfile.controls['lastname'].touched}">
              <div *ngIf="editUserProfile.controls['lastname'].hasError('required') && editUserProfile.controls['lastname'].touched" class="invalid-feedback">You must include a first name.</div>
  
          </div>
          <div class="form-group col-md-12 f-group-mob">
            <label class="form-label">Mobile No</label>
            <button class="ml-2  " placement="top"
                ngbTooltip="Enter your Mobile Number">
                <i class="ion ion-ios-information-circle-outline ion-theme"></i>
              </button>
            <input [formControl]="editUserProfile.controls['mobile']" formControlName="mobile" type="text" [(ngModel)]="userDetails.mobile"
              class="form-control" [ngClass]="{'is-invalid':!editUserProfile.controls['mobile'].valid && editUserProfile.controls['mobile'].touched}">
              <div *ngIf="editUserProfile.controls['mobile'].hasError('required') && editUserProfile.controls['mobile'].touched" class="invalid-feedback">You must include a mobile No</div>
  
          </div>
  
          <hr class="border-light">
          <div class="form-group col-md-12">
            <label class="custom-control custom-checkbox m-0">
              <input [formControl]="editUserProfile.controls['mobile_subscription']" type="checkbox" class="custom-control-input" [(ngModel)]="userDetails.mobile_subscription">
              <span class="custom-control-label">Mobile Subscription</span>
              <button class="ml-2  " placement="top"
                ngbTooltip="To select Mobile Subscription">
                <i class="ion ion-ios-information-circle-outline ion-theme"></i>
              </button>
            </label>
            
          </div>
          <div class="form-group col-md-12">
            <label class="custom-control custom-checkbox m-0">
              <input [formControl]="editUserProfile.controls['email_subscription']" type="checkbox" class="custom-control-input" [(ngModel)]="userDetails.email_subscription">
              <span class="custom-control-label">Email Subscription</span>
              <button class="ml-2  " placement="top"
                ngbTooltip="To select Email Subscription">
                <i class="ion ion-ios-information-circle-outline ion-theme"></i>
              </button>
            </label>
            
          </div>
        </div>
      </form>
  
    </div>
    <div class="modal-footer">
      <button class="btn btn-default" (click)="c('Cross click')" style="width: 47%;">Cancel</button>
      <button class="btn btn-primary" (click)="editProfile();" [disabled]="!editUserProfile.valid" style="width: 47%; float:right;">Save changes</button>
    </div>
  </ng-template>


  